All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
stan::math::promoter< std::vector< T >, std::vector< T > > Struct Template Reference

`#include <promoter.hpp>`

## Static Public Member Functions

static void | promote (const std::vector< T > &u, std::vector< T > &t)
static std::vector< T > | promote_to (const std::vector< T > &u)

## Detailed Description

### template<typename T>
struct stan::math::promoter< std::vector< T >, std::vector< T > >

Definition at line 51 of file promoter.hpp.

## Member Function Documentation

template<typename T >

static void stan::math::promoter< std::vector< T >, std::vector< T > >::promote | ( | const std::vector< T > & | u,
|  | std::vector< T > & | t
| ) |  |

inline static

Definition at line 52 of file promoter.hpp.

template<typename T >

static std::vector<T> stan::math::promoter< std::vector< T >, std::vector< T > >::promote_to | ( | const std::vector< T > & | u | ) |

inline static

Definition at line 56 of file promoter.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/mat/fun/promoter.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.